extends StaticBody2D
class_name BaseChest

signal ChestOpened
signal OpeningAnimationStarted

@export var is_open := false

# Public Methods
func Open() -> void:
	is_open = true
	ChestOpened.emit()


func OpenAlreadyOpened() -> void:
	pass


func SetOpenedFromLoad() -> void:
	is_open = true
